1. Airtime Purchase
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
        POST
      • Find Airtime Purchases By OriginatorConversationId
        GET
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Airtime Purchase

Airtime Purchase

POST
/v1/airtime-purchase
This is a POST request that is responsible for airtime purchases.

Sample request#

{
{
  "originatorConversationId": "{{$guid}}",
  "callbackURL": "https://en1ezbmu2vsd.x.pipedream.net",
  "recipients": [
    {
      "currencyCode": "KES",
      "phoneNumber": "254700000000",
      "amount": 99,
      "name": "Jojo Siwa"
    }
  ]
}

Sample response#

{
{
    "message": {
        "systemConversationId": "01000000-0105-0a00-6bc1-08de9bedbeee",
        "originatorConversationId": "01000000-0105-0a00-6bc1-08de9bedbee",
        "remarks": "Airtime Purchase Accepted",
        "timestamp": "2026-04-16T19:24:15.3381289Z",
        "appDomainName": "TEST"
    }
}

Data Definition#

Field nameData typeOptions
recipientNamestringmandatory
recipientPhoneNumberstringmandatory
recipientccystringmandatory
amountintegermandatory
callBackUrlstringmandatory

Description#

CurrencyCode: country code
PhoneNumber: phone number used in the airtime purchase
Amount: Airtime bought
Name: name of the person who purchased the airtime
OriginatorConversationId: this is the unique transaction identifier generated by Almara Pay
CallbackURL: This is where you will receive the callback

Request

Authorization
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/airtime-purchase' \
--header 'Content-Type: application/json' \
--data-raw '{
    "originatorConversationId": "string",
    "callbackURL": "http://example.com",
    "recipients": [
        {
            "currencyCode": "string",
            "phoneNumber": "string",
            "amount": 0,
            "name": "string"
        }
    ]
}'
Response Response Example
{}
Modified at 2026-04-30 06:30:30
Previous
Overview
Next
Find Airtime Purchases By OriginatorConversationId
Built with